## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 5;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global forgeurl https://github.com/traidento/SwayNotificationCenter
%global commit cdedad2d6e390113ca60158b216487d73cc7029a
%forgemeta

Name:       swaync
Version:    0.10.0
Release:    %autorelease
Summary:    Notification daemon with GTK GUI (mochaa fork)
Provides:   desktop-notification-daemon
Provides:   SwayNotificationCenter = %{version}-%{release}
Conflicts:  SwayNotificationCenter
License:    GPLv3
URL:        %{forgeurl}
Source:     %{forgesource}

BuildRequires:  meson >= 0.51.0
BuildRequires:  vala >= 0.56
BuildRequires:  scdoc
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.22
BuildRequires:  pkgconfig(gtk-layer-shell-0) >= 0.1
BuildRequires:  pkgconfig(json-glib-1.0) >= 1.0
BuildRequires:  pkgconfig(libhandy-1) >= 1.4.0
BuildRequires:  pkgconfig(glib-2.0) >= 2.50
BuildRequires:  pkgconfig(gobject-introspection-1.0) >= 1.68
BuildRequires:  pkgconfig(gee-0.8) >= 0.20
BuildRequires:  pkgconfig(bash-completion)
BuildRequires:  pkgconfig(fish)
BuildRequires:  pkgconfig(libpulse)
BuildRequires:  systemd-devel
BuildRequires:  systemd
BuildRequires:  sassc

Requires:       gvfs
Requires:       libnotify
Requires:       dbus

%description
A simple notification daemon with a GTK gui for notifications and the control center

%package bash-completion
BuildArch:      noarch
Summary:        Bash completion files for %{name}

Requires:       bash-completion
Requires:       %{name} = %{version}-%{release}

%description bash-completion
This package installs Bash completion files for %{name}

%package zsh-completion
BuildArch:      noarch
Summary:        Zsh completion files for %{name}

Requires:       zsh
Requires:       %{name} = %{version}-%{release}

%description zsh-completion
This package installs Zsh completion files for %{name}

%package fish-completion
BuildArch:      noarch
Summary:        Fish completion files for %{name}

Requires:       fish
Requires:       %{name} = %{version}-%{release}

%description fish-completion
This package installs Fish completion files for %{name}

%prep
%forgeautosetup

%build
%meson
%meson_build

%install
%meson_install

%post
%systemd_user_post %{name}.service

%preun
%systemd_user_preun %{name}.service

%files
%doc README.md
%{_bindir}/%{name}-client
%{_bindir}/%{name}
%license COPYING
%config(noreplace) %{_sysconfdir}/xdg/%{name}/configSchema.json
%config(noreplace) %{_sysconfdir}/xdg/%{name}/config.json
%config(noreplace) %{_sysconfdir}/xdg/%{name}/style.css
%{_userunitdir}/%{name}.service
%{_datadir}/dbus-1/services/org.erikreider.swaync.service
%{_datadir}/glib-2.0/schemas/org.erikreider.swaync.gschema.xml
%{_mandir}/man1/%{name}-client.1*
%{_mandir}/man1/%{name}.1*
%{_mandir}/man5/%{name}.5*

%files bash-completion
%{_datadir}/bash-completion/completions/%{name}
%{_datadir}/bash-completion/completions/%{name}-client

%files zsh-completion
%{_datadir}/zsh/site-functions/_%{name}
%{_datadir}/zsh/site-functions/_%{name}-client

%files fish-completion
%{_datadir}/fish/vendor_completions.d/%{name}-client.fish
%{_datadir}/fish/vendor_completions.d/%{name}.fish

# Changelog will be empty until you make first annotated Git tag.
%changelog
## START: Generated by rpmautospec
* Mon Oct 28 2024 Zephyr Lykos <git@mochaa.ws> - 0.10.0-5
- Add conflict with SwayNotificationCenter

* Wed Oct 23 2024 Zephyr Lykos <git@mochaa.ws> - 0.10.0-4
- Update to cdedad2d6e390113ca60158b216487d73cc7029a

* Sun Mar 10 2024 Zephyr Lykos <git@mochaa.ws> - 0.10.0-3
- Update to 8514e08939d5a018cbe7c0f92ae78d7d73a785c0

* Sun Mar 10 2024 Zephyr Lykos <git@mochaa.ws> - 0.10.0-2
- Update to 0b6920719f31da4280f86f7fd21c5c0e3ec8f5b4

* Sat Mar 09 2024 Zephyr Lykos <git@mochaa.ws> - 0.10.0-1
- Initial packaging
## END: Generated by rpmautospec
